package com.usky.fire.service.vo;

import com.usky.common.core.annotation.Excel;

import java.math.BigDecimal;

/**
 *
 * @author fu
 * @date 2024/8/28
 */
public class MhFireLawEnforcementDataExportVO {

    /**
     *  科室
     */
    @Excel(name = "科室", readConverterExp = "1=一科,2=二科,3=三科,4=四科,5=五科,6=法社科")
    private Integer department;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String name;

    /**
     * 总得分
     */
    @Excel(name = "总得分")
    private Integer totalScore;

    /**
     * 总排名
     */
    @Excel(name = "总排名")
    private Integer totalRank;

    /**
     * 检查单位
     */
    @Excel(name = "检查单位")
    private Integer inspectionUnit;

    @Excel(name = "排名")
    private Integer unitRanking;

    @Excel(name = "得分")
    private Integer unitScore;

    /**
     * 发现隐患
     */
    @Excel(name = "发现隐患")
    private Integer hiddenDangerFound;

    @Excel(name = "排名")
    private Integer dangerRanking;

    @Excel(name = "得分")
    private Integer dangerScore;

    /**
     * 督促整改隐患
     */
    @Excel(name = "督促整改隐患")
    private Integer urgeRectification;

    @Excel(name = "排名")
    private Integer urgeRanking;

    @Excel(name = "得分")
    private Integer urgeScore;

    /**
     * 重大火灾隐患
     */
    @Excel(name = "重大火灾隐患")
    private Integer majorFireHazards;

    @Excel(name = "排名")
    private Integer majorRanking;

    @Excel(name = "得分")
    private Integer majorScore;

    /**
     * 行政处罚立案
     */
    @Excel(name = "行政处罚立案")
    private Integer administrativePenaltyFiling;

    @Excel(name = "排名")
    private Integer filingRanking;

    @Excel(name = "得分")
    private Integer filingScore;

    /**
     * 行政处罚
     */
    @Excel(name = "行政处罚")
    private Integer administrativePenalty;

    @Excel(name = "排名")
    private Integer penaltyRanking;

    @Excel(name = "得分")
    private Integer penaltyScore;

    /**
     * 罚款金额
     */
    @Excel(name = "罚款金额")
    private BigDecimal penaltyAmount;

    @Excel(name = "排名")
    private Integer amountRanking;

    @Excel(name = "得分")
    private Integer amountScore;

    /**
     * 临时查封
     */
    @Excel(name = "临时查封")
    private Integer temporarySeizure;

    @Excel(name = "排名")
    private Integer seizureRanking;

    @Excel(name = "得分")
    private Integer seizureScore;

    /**
     * 责令三停
     */
    @Excel(name = "责令三停")
    private Integer ceaseConstructionUseProduce;

    @Excel(name = "排名")
    private Integer constructionRanking;

    @Excel(name = "得分")
    private Integer constructionScore;

}
