package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.usky.fire.domain.DemFireHazardsNotice;
import com.usky.fire.mapper.DemFireHazardsNoticeMapper;
import com.usky.fire.service.MhFireLawEnforcement;
import com.usky.fire.service.vo.MhFireLawEnforcementDataExportVO;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author fu
 * @date 2024/8/28
 */
public class MhFireLawEnforcementImpl implements MhFireLawEnforcement {

    @Autowired
    private DemFireHazardsNoticeMapper demFireHazardsNoticeMapper;

    @Override
    public List<MhFireLawEnforcementDataExportVO> export() {
        List<MhFireLawEnforcementDataExportVO> list = new ArrayList<>();
        LambdaQueryWrapper<DemFireHazardsNotice> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.select(DemFireHazardsNotice::getEnterBy)
                .eq(DemFireHazardsNotice::getDeleteFlag, "0");
        List<DemFireHazardsNotice> list1 = demFireHazardsNoticeMapper.selectList(queryWrapper);
        

        return Collections.emptyList();
    }
}
